using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
ListAuditLogsRequest req = new ListAuditLogsRequest() {
Cursor = "ZXhhbXBsZTE",
Action = "created",
UserId = "14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef",
ResourceType = "user",
};
ListAuditLogsResponse? res = await sdk.AuditLogs.ListAsync(req);
while(res != null)
{
// handle items
res = await res.Next!();
}package main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/models/components"
"github.com/gr4vy/gr4vy-go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := gr4vygo.New(
gr4vygo.WithMerchantAccountID("default"),
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)
res, err := s.AuditLogs.List(ctx, operations.ListAuditLogsRequest{
Cursor: gr4vygo.Pointer("ZXhhbXBsZTE"),
Action: components.AuditLogActionCreated.ToPointer(),
UserID: gr4vygo.Pointer("14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef"),
ResourceType: gr4vygo.Pointer("user"),
})
if err != nil {
log.Fatal(err)
}
if res != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.AuditLogAction;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListAuditLogsRequest;
import com.gr4vy.sdk.models.operations.ListAuditLogsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.merchantAccountId("default")
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditLogsRequest req = ListAuditLogsRequest.builder()
.cursor("ZXhhbXBsZTE")
.action(AuditLogAction.CREATED)
.userId("14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef")
.resourceType("user")
.build();
sdk.auditLogs().list()
.callAsStream()
.forEach((ListAuditLogsResponse item) -> {
// handle page
});
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();
$request = new Gr4vy\ListAuditLogsRequest(
cursor: 'ZXhhbXBsZTE',
action: 'created',
userId: '14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef',
resourceType: 'user',
);
$responses = $sdk->auditLogs->list(
request: $request
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.audit_logs.list(cursor="ZXhhbXBsZTE", limit=20, action="created", user_id="14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef", resource_type="user")
while res is not None:
# Handle items
res = res.next()import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.auditLogs.list();
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/audit-logs \
--header 'Authorization: Bearer <token>'{
"items": [
{
"resource": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"user": {
"name": "<string>",
"is_staff": true,
"type": "user",
"id": "14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef",
"email_address": "john@example.com"
},
"timestamp": "2023-11-07T05:31:56Z",
"type": "audit-log",
"id": "8d3fe99b-1422-42e6-bbb3-932d95ae5f79",
"merchant_account_id": "default"
}
],
"limit": 20,
"next_cursor": "ZXhhbXBsZTE",
"previous_cursor": "Xkjss7asS"
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}Returns a list of activity by dashboard users.
using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
ListAuditLogsRequest req = new ListAuditLogsRequest() {
Cursor = "ZXhhbXBsZTE",
Action = "created",
UserId = "14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef",
ResourceType = "user",
};
ListAuditLogsResponse? res = await sdk.AuditLogs.ListAsync(req);
while(res != null)
{
// handle items
res = await res.Next!();
}package main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"github.com/gr4vy/gr4vy-go/models/components"
"github.com/gr4vy/gr4vy-go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := gr4vygo.New(
gr4vygo.WithMerchantAccountID("default"),
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)
res, err := s.AuditLogs.List(ctx, operations.ListAuditLogsRequest{
Cursor: gr4vygo.Pointer("ZXhhbXBsZTE"),
Action: components.AuditLogActionCreated.ToPointer(),
UserID: gr4vygo.Pointer("14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef"),
ResourceType: gr4vygo.Pointer("user"),
})
if err != nil {
log.Fatal(err)
}
if res != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.AuditLogAction;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListAuditLogsRequest;
import com.gr4vy.sdk.models.operations.ListAuditLogsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.merchantAccountId("default")
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditLogsRequest req = ListAuditLogsRequest.builder()
.cursor("ZXhhbXBsZTE")
.action(AuditLogAction.CREATED)
.userId("14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef")
.resourceType("user")
.build();
sdk.auditLogs().list()
.callAsStream()
.forEach((ListAuditLogsResponse item) -> {
// handle page
});
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();
$request = new Gr4vy\ListAuditLogsRequest(
cursor: 'ZXhhbXBsZTE',
action: 'created',
userId: '14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef',
resourceType: 'user',
);
$responses = $sdk->auditLogs->list(
request: $request
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.audit_logs.list(cursor="ZXhhbXBsZTE", limit=20, action="created", user_id="14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef", resource_type="user")
while res is not None:
# Handle items
res = res.next()import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.auditLogs.list();
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/audit-logs \
--header 'Authorization: Bearer <token>'{
"items": [
{
"resource": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"user": {
"name": "<string>",
"is_staff": true,
"type": "user",
"id": "14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef",
"email_address": "john@example.com"
},
"timestamp": "2023-11-07T05:31:56Z",
"type": "audit-log",
"id": "8d3fe99b-1422-42e6-bbb3-932d95ae5f79",
"merchant_account_id": "default"
}
],
"limit": 20,
"next_cursor": "ZXhhbXBsZTE",
"previous_cursor": "Xkjss7asS"
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}audit-logs.read scope.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the merchant account to use for this request.
"default"
Query Parameters
A pointer to the page of results to return.
"ZXhhbXBsZTE"
The maximum number of items that are at returned.
1 <= x <= 10020
Filters the results to only the items for which the audit-log has an action that matches this value.
created, updated, deleted, voided, canceled, captured "created"
Filters the results to only the items for which the user has an id that matches this value.
"14b7b8c5-a6ba-4fb6-bbab-52d43c7f37ef"
Filters the results to only the items for which the audit-log has a resource that matches this type value.
"user"
Response
Successful Response
A list of items returned for this request.
Show child attributes
Show child attributes
The number of items for this page.
1 <= x <= 10020
The cursor pointing at the next page of items.
1 - 1000"ZXhhbXBsZTE"
The cursor pointing at the previous page of items.
1 - 1000"Xkjss7asS"